Bug 836756 - Review Request: targetd - Service to make storage remotely configurable
Review Request: targetd - Service to make storage remotely configurable
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-30 19:13 EDT by Andy Grover
Modified: 2012-07-06 21:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-06 21:32:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpopelka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andy Grover 2012-06-30 19:13:56 EDT
Spec URL: http://fedorapeople.org/~grover/new/targetd.spec
SRPM URL: http://fedorapeople.org/~grover/new/targetd-0.2.1-1.fc17.src.rpm
Description:
targetd turns the machine into a remotely-configurable storage appliance.
It supports an HTTP/jsonrpc-2.0 interface to let a remote
administrator allocate volumes from an LVM volume group, and export
those volumes over iSCSI.

For this F18 feature: https://fedoraproject.org/wiki/Features/StorageManagement

Fedora Account System Username: grover
Comment 1 Jiri Popelka 2012-07-03 12:21:46 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail

[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.

I guess the binary 'client' is just an example.

[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

Only harmless warnings
targetd.noarch: W: spelling-error %description -l en_US iSCSI -> SCSI, i SCSI, Isis
targetd.noarch: W: only-non-binary-in-usr-lib
(bug #794777)


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
  MD5SUM this package     : e19b0c4ac31bc1a8ad78065d984b3544
  MD5SUM upstream package : e19b0c4ac31bc1a8ad78065d984b3544

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Dist tag is present.
[x]: SHOULD SourceX is a working URL.

Issues:

[!]: MUST Package must own all directories that it creates.

Add
%dir %{_sysconfdir}/target
to %files
or if that directory is supposed to be owned by the targetcli package then
add it to that package's spec file
('rpm -qf /etc/target' tells me that 'file /etc/target is not owned by any package').

[!]: SHOULD Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[!]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[!]: SHOULD Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5

[!]: SHOULD Scriptlets must be sane, if used.

I'm afraid you need to obey
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
Comment 2 Andy Grover 2012-07-03 18:30:18 EDT
Hello, updated spec based on comments. I built new targetcli rpm (2.0rc1.fb14-2) for rawhide that claims /etc/target. Please take a look here and let me know if I missed anything, thanks!

Spec URL: http://fedorapeople.org/~grover/new/targetd.spec
SRPM URL: http://fedorapeople.org/~grover/new/targetd-0.2.2-1.fc17.src.rpm
Comment 3 Jiri Popelka 2012-07-04 04:40:20 EDT
Everything looks OK now.

This package is APPROVED !
Comment 4 Andy Grover 2012-07-04 23:53:15 EDT
New Package SCM Request
=======================
Package Name: targetd
Short Description: Service to make storage remotely configurable
Owners: grover
Branches: 
InitialCC:
Comment 5 Gwyn Ciesla 2012-07-05 08:26:04 EDT
Git done (by process-git-requests).
Comment 6 Andy Grover 2012-07-06 21:32:53 EDT
Thanks for the review Jiri. Imported and built for rawhide.

Note You need to log in before you can comment on or make changes to this bug.